# API Documentation available in the gridX Developer Community

**URL:** <https://community.developer.gridx.de/t/api-documentation-available-in-the-gridx-developer-community/214>\
**Category:** 🎤 Announcements\
**Created:** [September 6, 2024, 9:42am UTC](https://community.developer.gridx.de/t/api-documentation-available-in-the-gridx-developer-community/214 "2024-09-06T09:42:51Z")\
**Posts on this page:** 1\
**Showing post:** 4

<div class="post-metadata">

**Author:** ![wwerner](https://dub1.discourse-cdn.com/flex005/user_avatar/community.developer.gridx.de/wwerner/32/7_2.png) [@wwerner](https://community.developer.gridx.de/u/wwerner)\
**Post date:** [December 9, 2024, 6:53pm UTC](https://community.developer.gridx.de/t/api-documentation-available-in-the-gridx-developer-community/214/4 "2024-12-09T18:53:09Z")

</div>

You kept on speaking, and we didn’t stop listening. @s.wuerth nudged us to finally push out changelogs for API changes.You might already have noticed it, depending on which private API categories you have access to.  
If you haven’t: We’re generating changelogs for each API change **automagically** now on each release.

For stable APIs, we still make non-breaking changes that will be described in the logs.  
Beta APIs might be subject to breaking changes, too. We’ll dig deeper into our currently evolving versioning strategy soon.

You can find them here:

- [XENON API](https://community.developer.gridx.de/t/xenon-api-changelog/324)
- [DER API](https://community.developer.gridx.de/t/der-api-changelog/326)
- [FLEX API](https://community.developer.gridx.de/t/xenon-flex-api-changelog/325)
- [14a/GSP API](https://community.developer.gridx.de/t/14a-gsp-api-changelog/327)

Don’t worry if they are still empty - not all of the APIs have seen changes recently. But you can already subscribe to the logs relevant for you and stay in the know.

> **Here's a contrived example of how they (will) look like**
>
> * * *
> 
> ## POST /systems
> 
> - ⚠ removed the required property ‘createdAt’ from the response with the ‘201’ status
> - ⚠ removed the optional property ‘productOptionUpdatedAt’ from the response with the ‘201’ status
> - added the optional property ‘productOptionUpdatedAtFoo’ to the response with the ‘201’ status
> 
> ## GET /systems/{systemID}
> 
> - ⚠ removed the required property ‘createdAt’ from the response with the ‘200’ status
> - ⚠ removed the optional property ‘productOptionUpdatedAt’ from the response with the ‘200’ status
> - added the optional property ‘productOptionUpdatedAtFoo’ to the response with the ‘200’ status
> 
> ## PATCH /systems/{systemID}
> 
> - ⚠ removed the required property ‘createdAt’ from the response with the ‘200’ status
> - ⚠ removed the optional property ‘productOptionUpdatedAt’ from the response with the ‘200’ status
> - added the optional property ‘productOptionUpdatedAtFoo’ to the response with the ‘200’ status
> 
> * * *

You can use the information from the changelogs to quickly see new features or updates in the APIs as they become available and see whether you can optimize your API usage based on that. As always: If you notice any odd behavior, let us know!

And if you’re curious how we built this: We use [oasdiff](https://github.com/Tufin/oasdiff) wrapped into a GitHub action and [another one](https://github.com/grid-x/post-to-discourse-action) to post the result to the forum. Similar to what we did with the specs and snippets as described 👆. It’s evolved into a nice toolchain, and we’ll probably write it down in detail somewhere. Would you be interested? Let us know!

 ![image](https://europe1.discourse-cdn.com/flex005/uploads/gridx/original/1X/64ef6db5e5b0d82c68d2c7b4712f665af4a62aad.jpeg)

> **[GitHub - oasdiff/oasdiff: OpenAPI Diff and Breaking Changes](https://github.com/oasdiff/oasdiff)**
>
> OpenAPI Diff and Breaking Changes

> **[GitHub - grid-x/post-to-discourse-action: Post the contents of a file or a string as a reply...](https://github.com/grid-x/post-to-discourse-action)**
>
> Post the contents of a file or a string as a reply to a discourse topic

---

_[View the full topic](https://community.developer.gridx.de/t/api-documentation-available-in-the-gridx-developer-community/214)._
